Subject: Re: Compiling G94 on SGI R8000/IRIX 6.1

From: "Karl F Moschner" <[email-masked]>
Date: 06 Jun 96 00:18:01 Z

RFC-822-Headers:
X-Mailer: Z-Mail (3.0.0 15dec93)
Errors-To: [email-masked]
Precedence: bulk

Subject: CCL:G:Compiling G94 on SGI R8000/IRIX 6.1
Author:  [email-masked] at INTERNET
Date:    6/3/96 12:30 PM

CClers:

What G94 rev-level is required for error free compiles and builds for G94 
on an SGI-R8000 using IRIX 6.1 ?

HELP!

Thanks,

John

--

John M. McKelvey                        email: [email-masked] 
Computational Science Laboratory        phone: (716) 477-3335
2nd Floor, Bldg 83, RL
Eastman Kodak Company
Rochester, NY 14650-2216

-------------------------------- REPLY -----------------------------------------
I have successfully compiled all revisions since June 95 (at least later than 
G94 Rev. B.1)on my Power Challenge under Irix 6.1 using SGI Power Fortran 6.1.

NOTE:  The 'sgi.make' file for the latest release, Rev D.3, requires Irix 6.2, 
[Power] Fortran 6.2 which is currentl;y being rolled out (I'm scheduled to get 
my upgrade later this month).  But it can be compiled successfully under 
Irix/Fortran  6.1 by removing the compiler flag 'r8000' from the 'sgi.make' file
which appears on only 1 line.  

WARNING:  In the off chance you allocate a lot of scratch space, modify 
'Default.Route' so 'MAXDISK=15GB' or less.  If you don't you may inadvertently 
get integer overflow in a counter which can cause an infinite loop in fully 
direct MP2 calculations such as 'test065'.

Good luck!

Karl
 _______________________________________________________________________
/                                                                       \ 
| Comments are those of the author and not Unilever Research U. S.      |
|                                                                       |
| Karl F. Moschner, Ph. D.                                              | 
|                                                                       | 
| Unilever Research U. S.      e-mail: [email-masked]     | 
| 45 River Road                Phone:  (201) 840-2629                   | 
| Edgewater, NJ 07020          FAX:    (201) 840-8299                   | 
\_______________________________________________________________________/